* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
html, body {
    height: 100%;
    margin: 0;
}
body {
    font-family: 'atkinson hyperlegible', sans-serif;
    background: #fff5ed;
    display: flex;
    flex-direction: column;
    min-height: 130dvh;
}
body {
    transition: background 0.3s, color 0.3s;
}
nav {
    background-color: #A82F2F;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 15px 20px;
    position: relative;
}
.logo {
    color: #0affcf;
    font-size: 24px;
    font-weight: bold;
}
.logo img {
    transition: transform 0.6s ease;
}
.logo img:hover{
    transform: scale(0.85);
}
.navlinks {
    list-style: none;
    display: flex;
    gap: 40px;
    justify-content: center;
}
.navlinks a {
    color: #ffe9d9;
    text-decoration: none;
    font-size: 35px;
    display:inline-block;
    transition: transform 0.6s ease;
    margin-right: 23px;
}
.navlinks a:hover {
    color: #0AFFCF;
    transform: scale(0.85);
}

/* burger */
.burgertoggle {
    display: none;
    font-size: 28px;
    color: #ffe9d9;
    cursor: pointer;
}
main{
    flex:1
}
/*TEXT*/
/* right side content, video*/
.page{
    display: grid;
    grid-template-columns: 1fr 3fr;
    gap: 10px;
    flex: 1;

}
.left{
    display: grid;
    grid-template-rows: repeat(4, 1fr);
    gap: 5px;
    margin-bottom: 20px;
    margin-top: 20px;
    margin-right: 20px;
    margin-left: 20px;
}
.right{
    margin-bottom: 20px;
    margin-top: 20px;
    margin-right: 20px;
    display: flex;
    flex-direction: column;
    align-items: center;
    grid-template-rows: repeat(2, 1fr);
    gap: 15px;
    padding: 10px;
    background-color: #380f001f;
}
.tbox{
    background: #380f001f;
    padding: 10px;
    max-height: 204px;
    overflow-y:scroll;
    width: fit-content;
}
.tbox .title{
    font-size: clamp(20px, 2vh, 30px);
}

.video1{
    width: 98%;
    height: 98%;
    max-height: 600px;
    max-width: 1383px;
    background: #380f00;
    cursor: pointer;
    object-fit: fill;
}
.trybtn{
    display: flex;
    color: #fff5ed;
    background-color: #a82f2f;
    max-height: 70%;
    min-height: 65%;
    max-width: 550%;
    justify-content: center;
    align-items: center;
    font-size: 7dvh;
    font-weight: bolder;
    border-radius: 50px;
    padding: 40px 20px;
    border: 0px solid #a82f2f;
}
.trybtn:hover{
    color: #0affcf;
}
.playbtn {
    flex: 1;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: transform 0.6s ease;
}
.playbtn:hover{
    transform: scale(0.85);
}
/*format of text elements*/
.title{
    font-size:25px;
    text-align: center;
    color: #380F00;
    font-weight: bold;

}
.content {
    color: #380F00;
    text-align: left;
}
footer{
    text-align: center;
    padding: 20px;
    background: #a82f2f;
    color: #380f00;
    display: flex;
    flex-direction: column;
    gap: 10px;
}
.footer-links a {
    margin: 0 10px;
    text-decoration: none;
    color: #380f00;
    transition: transform 0.6s ease;

}
.footer-links a:hover{
    text-decoration:underline;
    color: #FFE9D9;
    text-decoration-color:#FFE9D9;
}
footer a{
    margin: 0 10px;
    text-decoration: none;
    color: #380f00;
    transition: transform 0.6s ease;

}
footer a:hover{
    text-decoration:underline;
    color: #FFE9D9;
    text-decoration-color:#FFE9D9;
}
footer a img{
    transition: transform 0.6s ease;
}
footer a img:hover{
    transform: scale(0.85);
}
.content, .title{
    width: 42dvh;
    padding: 2px;
}


.buttos{
    display: flex;
    flex-direction: column;
    position: fixed;
    bottom: 35px;
    right: 30px;
    gap: 10px;

}
#scrollTopBtn {
    display: none; /* hidden until scroll */
    background-color: #380f00;
    color: #0AFFCF;
    border: none;
    border-radius: 50%;
    height: 50px;
    width: 50px;
    font-size: 25px;
    cursor: pointer;
    transition: transform 0.2s ease;
}
#scrollTopBtn:hover{
    display: none; /* hidden until scroll */
    background-color: #380f00;
    color: #0AFFCF;
    border: none;
    border-radius: 50%;
    height: 50px;
    width: 50px;
    font-size: 25px;
    cursor: pointer;
    transform: scale(1.3);
    color: #F28907;
    background-color:#0F565D;
    text-shadow:
            1px 0 currentColor,
            -1px 0 currentColor,
            0 1px currentColor,
            0 -1px currentColor;
}
#themeToggle {
    display: flex;
    align-items: center;
    justify-content: center;
    border: none;
    z-index: 9999;
    border-radius: 50%;
    height: 50px;
    width: 50px;
    font-size: 25px;
    background-color: #380f00;
    color: #0AFFCF;
    cursor: pointer;
    transition: transform 0.2s ease;

}
#themeToggle:hover {
    display: flex;
    align-items: center;
    justify-content: center;
    border: none;
    z-index: 9999;
    border-radius: 50%;
    height: 50px;
    width: 50px;
    font-size: 25px;
    cursor: pointer;
    transform: scale(1.3);
    color: #F28907;
    background-color:#0F565D ;
    text-shadow:
            1px 0 currentColor,
            -1px 0 currentColor,
            0 1px currentColor,
            0 -1px currentColor;
}

body.dark {
    background-color: #121212;
    color: #F5F5F5;
    font-size: 30px;
}
body.dark p{
    color: #F5F5F5;
}
body.dark a{
    color: #F5F5F5;
}
body.dark footer{
    background-color: #001629;
    color: #F5F5F5;
}
body.dark nav{
    background-color: #001629;
    color: #F5F5F5;
}
body.dark .navlinks a{
    font-size: 50px;
}

body.dark button{
    background-color: #F5F5F5;
    color: #001629;
    font-size: 10dvh;
}
body.dark .tbox{
    background-color: #001629;

}
body.dark .right{
    background-color: #001629;
    color: #F5F5F5;
}
body.dark img{
    filter: grayscale(100) brightness(100);
    height: 20dvh;
    width: auto;
}
body.dark a:hover{
    color: #F28907;
}
body.dark button:hover{
    color:#F28907;
}
body.dark video{
    filter: invert(100);
}
body.dark .title{
font-size: 1.5em;
}
body.dark #scrollTopBtn{
    background-color: #F5F5F5;
    color: #001629;
}
body.dark #themeToggle{
    background-color: #F5F5F5;
    color: #001629;
}
body.dark #scrollTopBtn:hover{
    color: #F28907;
    background-color:#0F565D;
    text-shadow:
            1px 0 currentColor,
            -1px 0 currentColor,
            0 1px currentColor,
            0 -1px currentColor;
}
body.dark #themeToggle:hover{
    color: #F28907;
    background-color:#0F565D;
    text-shadow:
            1px 0 currentColor,
            -1px 0 currentColor,
            0 1px currentColor,
            0 -1px currentColor;
}
#themeRipple {
    position: fixed;
    width: 40px;
    height: 40px;
    border-radius: 50%;

    background: #001629;

    transform: scale(0);
    transform-origin: center;

    z-index: 9998;
    pointer-events: none;

    transition: transform 2s ease-out;
}
#themeRipple.active {
    transform: scale(290);
}
    /* responsive scale */
@media (max-width: 768px) {
footer p{
    display: flex;
    justify-content: center;
}
    .burgertoggle {
        display: block;
    }
    .navlinks {
        display: none;
        flex-direction: column;
        background-color: #A82F2F;
        position: absolute;
        top: 100%;
        left: 0;
        width: 100%;
        padding: 20px;
        z-index: 2;
    }
    body.dark img{
        height: 14dvh;
    }
    body.dark .content{
        font-size: 25px;
    }
    body.dark .title{
        font-size: 35px;
    }

    body.dark .navlinks{
        background-color: #001629;
        color: #F5F5F5;
    }
    body.dark .burgertoggle{
        font-size: 72px;
        color: #F5F5F5;
    }
    .navlinks.active {
        display: flex;
        flex-direction: column;
        align-items: center;
    }
    footer {
        padding: 20px;
        height: auto;   /* IMPORTANT */
        gap: 15px;
    }
    .footer-links {
        flex-direction: column;
        align-items: center;
        gap: 10px;
    }
    body.dark button{
        height: 15dvh;
        width: auto;
        font-size: 1em;
    }
    footer a {
        display: block;
    }
    .page {
        display: flex;
        flex-direction: column-reverse;
        align-items: center;
    }
    /* LEFT becomes full width row 1 */
    .left {
        margin: 10px;
        gap: 10px;
        justify-content: center;
        width: fit-content;
        min-width: 304px;
    }
    /* RIGHT becomes row 2 */
    .right {
        margin: 10px;
        display: flex;
        flex-direction: column;
        align-items: center;
        width: fit-content;
        min-width: 304px
    }

    /* reduce spacing between blocks */
    .tbox {
        max-height: 160px; /* smaller scroll areas */
        font-size: 14px;

    }
    .title, .content{
        width: stretch;
    }
    .tbox .title {
        font-size: clamp(18px, 4vw, 24px);
    }

    .tbox .content {
        font-size: clamp(14px, 3.5vw, 18px);
    }

    .video1 {
        width: 100%;
        height: auto;
        max-height: 300px;
    }
    footer {
        padding: 20px;
        height: auto;   /* IMPORTANT */
        gap: 15px;
        color: #FFE9D9;
    }
    .footer-links {
        flex-direction: column;
        align-items: center;
        gap: 10px;
        color: #FFE9D9;
    }
    .footer-links a{
        color: #FFE9D9;
    }
    footer a {
        display: block;
        color: #FFE9D9;
    }
    footer{
        color: #FFE9D9;
    }

    .trybtn{
        height: 1dvh;
        width: auto;
        font-size: 2em;
    }

}

